﻿<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DA3F2E47-AB8A-4CEC-9EDE-81DFC029E53F}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>Castle.ActiveRecord.Tests</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>Castle.ActiveRecord.Tests</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
    <PublishUrl>http://localhost/Castle.ActiveRecord.Tests/</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Web</InstallFrom>
    <UpdateEnabled>true</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>true</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\bin\temp\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
    <UseVSHostingProcess>true</UseVSHostingProcess>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Castle.Components.Validator, Version=0.0.1.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Components.Validator.dll</HintPath>
    </Reference>
    <Reference Include="Castle.Core, Version=0.0.1.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Core.dll</HintPath>
    </Reference>
    <Reference Include="Castle.DynamicProxy">
      <Name>Castle.DynamicProxy</Name>
      <HintPath>..\..\build\net-2.0\debug\Castle.DynamicProxy.dll</HintPath>
    </Reference>
    <Reference Include="Iesi.Collections, Version=1.0.0.1, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Iesi.Collections.dll</HintPath>
    </Reference>
    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=b32731d11ce58905">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\log4net.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate, Version=1.0.1.0, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="Nullables, Version=1.0.1.0, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Nullables.dll</HintPath>
    </Reference>
    <Reference Include="Nullables.NHibernate, Version=1.0.1.0, Culture=neutral, PublicKeyToken=154fdcb44c4484fc">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Nullables.NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="nunit.framework">
      <Name>nunit.framework</Name>
      <HintPath>..\..\build\net-2.0\debug\nunit.framework.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.configuration" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <ProjectReference Include="..\Castle.ActiveRecord\Castle.ActiveRecord-vs2005.csproj">
      <Name>Castle.ActiveRecord</Name>
      <Project>{652F95D4-86E2-40B6-919D-CFC6E449386B}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AbstractActiveRecordTest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ActiveRecordTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ActiveRecordWithoutBaseTestCase.cs" />
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ActiveRecordBaseGenericsTestCase.cs" />
    <Compile Include="BugTestCase.cs" />
    <Compile Include="Config\AspNet2.0ConfigurationIntegration.cs" />
    <Compile Include="Config\ConfigurationSource.cs" />
    <Compile Include="JoinedSubClassTestCase.cs" />
    <Compile Include="Model\GenericModel\Entity.cs" />
    <Compile Include="Model\GenericModel\SurveyAssociation.cs" />
    <Compile Include="NestedClassWithPrefixTestCase.cs" />
    <Compile Include="DifferentDatabaseScopeTestCase.cs" />
    <Compile Include="Model\CompositeModel\Agent.cs" />
    <Compile Include="Model\CompositeModel\AgentKey.cs" />
    <Compile Include="Model\CompositeModel\Group.cs" />
    <Compile Include="Model\CompositeModel\Org.cs" />
    <Compile Include="Model\Nested\NestedParent.cs" />
    <Compile Include="Model\Nested\Operation.cs" />
    <Compile Include="Model\Nested\WithPrefix.cs" />
    <Compile Include="Model\OtherDbBlog.cs" />
    <Compile Include="Model\OtherDbPost.cs" />
    <Compile Include="NestedClassWithMapTypeTestCase.cs" />
    <Compile Include="NestedClassWithRelationsTestCase.cs" />
    <Compile Include="NullablesGenericsTestCase.cs" />
    <Compile Include="GenericJoinedSubClassTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\BadPostClass.cs" />
    <Compile Include="Model\Blog.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\BlogLazy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Client.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Company.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\GenericModel\NullableModel.Generics.cs" />
    <Compile Include="Model\Employee.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Entity.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Firm.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\GenericModel\Blog.cs" />
    <Compile Include="Model\GenericModel\Company.cs" />
    <Compile Include="Model\GenericModel\Employee.cs" />
    <Compile Include="Model\GenericModel\Person.cs" />
    <Compile Include="Model\GenericModel\Post.cs" />
    <Compile Include="Model\Hand.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\IntlName.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\LazyModel\ProductLazy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\LineItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Order.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Person.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Post.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\PostLazy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Product.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\RulesModel\Rules.cs" />
    <Compile Include="Model\SimpleModel.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\SimpleModel2.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\SimpleModel3.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Snippet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\StrictModel\Estrato.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\StrictModel\QuestionContainer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\StrictModel\ReferenceEstrato.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\StrictModel\Repository.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\StrictModel\Survey.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\StrictModel\SurveyEstrato.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\Test2ARBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Model\TimeStamped.cs" />
    <Compile Include="MultipleDatabasesTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ActiveRecordGenericsTestCase.cs" />
    <Compile Include="SessionScopeTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="StrictModelTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="TableHierarchyTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="TransactionScopeTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Validation\ValidationTestCase.Generic.cs" />
    <Compile Include="Validation\GenericModel\Blog.cs" />
    <Compile Include="Validation\GenericModel\Customer.cs" />
    <Compile Include="Validation\GenericModel\Person.cs" />
    <Compile Include="Validation\GenericModel\User.cs" />
    <Compile Include="Validation\Model\Blog.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Validation\Model\Customer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Validation\Model\Person.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Validation\Model\User.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Validation\ValidationTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App-net-2.0.config" />
    <None Include="App.config" />
    <None Include="App-net-3.5.config" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AnyRelationTestCase.cs" />
    <Compile Include="CompositeNestedClassTestCase.cs" />
    <Compile Include="CompositeUserTypeTestCase.cs" />
    <Compile Include="CountQueryTestCase.cs" />
    <Compile Include="InvalidRootTypeTestCase.cs" />
    <Compile Include="Model\ClassWithBrokenField.cs" />
    <Compile Include="Model\CompositeNested\CompositeNestedParent.cs" />
    <Compile Include="Model\Ship.cs" />
    <Compile Include="NestedModelValidation.cs" />
    <Compile Include="Model\NestedValidation\UserWithNestedAddress.cs" />
    <Compile Include="VerifyModelsAgainstDBSchemaTestCase.cs" />
    <Compile Include="LazyTestCase.cs" />
    <Compile Include="Model\AnyModel\Models.cs" />
    <Compile Include="Model\CompositeUserType\Product.cs" />
    <Compile Include="Model\GenericModel\AbstractClass.cs" />
    <Compile Include="Validation\GenericModel\TimeSlotFixedDate.cs" />
    <Compile Include="Model\Octopus.cs" />
    <Compile Include="Model\VeryLazyObject.cs" />
    <Compile Include="PluralizationTestCase.cs" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>copy "$(ProjectDir)App-net-2.0.config" "$(TargetPath).config"</PostBuildEvent>
  </PropertyGroup>
</Project>